include::../description.adoc[]

include::../noncompliant.adoc[]

include::../compliant.adoc[]

== Exceptions

Even if testing the equality of a variable against null doesn't do exactly what most JavaScript developers believe, usage of ``++==++`` or ``++!=++`` is tolerated in such context. In the following case, if ``++foo++`` hasn't been initialized, its default value is not ``++null++`` but ``++undefined++``. Nevertheless ``++undefined == null++``, so JavaScript developers get the expected behavior.

----
if(foo == null) {...}
----

ifdef::env-github,rspecator-view[]
'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]
endif::env-github,rspecator-view[]
